Logitech Media Server (LMS) on Amahi 10 / F25

jaybea
Posts: 51
Joined: Tue Dec 15, 2009 1:24 am

Logitech Media Server (LMS) on Amahi 10 / F25

Postby jaybea » Wed Jun 28, 2017 7:37 am

I note from the app store that LMS is currently shown as Alpha for Fedora 25. It appears, from the Squeezebox forums, that LMS will run under F25, but is there a problem with the app under Amahi? As LMS is a key application on my HDA, I don't want to upgrade to Amahi 10 and F25 if I can't get LMS working. I am happy doing a manual installation from source, if required, but I am also happy to test the Amahi packaged version - I have had to do a few manual fixes in the past to get LMS working!

User avatar
bigfoot65
Project Manager
Posts: 10546
Joined: Mon May 25, 2009 4:31 pm

Re: Logitech Media Server (LMS) on Amahi 10 / F25

Postby bigfoot65 » Wed Jun 28, 2017 9:10 am

It appears, from the Squeezebox forums, that LMS will run under F25, but is there a problem with the app under Amahi?
Yes. The app is not working as of the last time I tested it. Have not had a chance to get back to it.

If you would like to test it and help get it working, we would greatly appreciate it.
ßîgƒσστ65
Applications Manager

jaybea
Posts: 51
Joined: Tue Dec 15, 2009 1:24 am

Re: Logitech Media Server (LMS) on Amahi 10 / F25

Postby jaybea » Sun Aug 06, 2017 8:22 am

I have finally got round to upgrading to Amahi 10. The upgrade from Amahi 9 / F24 went fine, apart from Logitech Media Server. I could not get the Amahi packaged version to install at all, but I have got a standalone version to work and this is now running, although without Amahi integration.
  • I removed the currently installed versions from my HDA.
  • Running resulted in an failure. "Can't locate Slim/bootstrap.pm in @INC". This I solved by linking some Perl directories after Googling for the error

Code: Select all

ln -s /usr/lib/perl5/vendor_perl/Slim /usr/lib64/perl5/Slim
  • I then got some permission errors in /var/log/squeezebox server. All these should be rw by user squeezeboxserver.
Running from the command line with /usr/libexec/squeezeboxserver --d_startup is helpful for debugging, but Squeezebox server won't run as root, and running as a regular user results in permission errors, so you need to run the command as the squeezeboxserver user.

Once this was done, LMS ran without problems, and it is currently re-indexing my music files. [It took 12 minutes to re-index 9,000 tracks]

Hopefully this will help in getting the packaged version working for Amahi.

User avatar
bigfoot65
Project Manager
Posts: 10546
Joined: Mon May 25, 2009 4:31 pm

Re: Logitech Media Server (LMS) on Amahi 10 / F25

Postby bigfoot65 » Sun Aug 06, 2017 9:31 am

Hopefully this will help in getting the packaged version working for Amahi.
There is one piece missing that keeps it from working on #Amahi.

Need to install a CPAN module, which in your case probably was present since you did an upgrade vs new install of #Amahi. See the Squeezebox Server Upgrade guidance in the wiki.

Trying to add that to the app install script, but it's not so simple unfortunately.
ßîgƒσστ65
Applications Manager

jaybea
Posts: 51
Joined: Tue Dec 15, 2009 1:24 am

Re: Logitech Media Server (LMS) on Amahi 10 / F25

Postby jaybea » Sun Aug 06, 2017 12:22 pm

Need to install a CPAN module, which in your case probably was present since you did an upgrade vs new install of #Amahi. See the Squeezebox Server Upgrade guidance in the wiki.

Trying to add that to the app install script, but it's not so simple unfortunately.
Yes, I remember having to install CPAN a few upgrades ago. I don't remember the manual CPAN step being particularly difficult, but it does't sit well with Amahi's one-click installs, and requires the command line.

This Server Fault thread is interesting, and suggests using CPANM for automating installs, but I don't know if that would work in the context of LMS.

User avatar
bigfoot65
Project Manager
Posts: 10546
Joined: Mon May 25, 2009 4:31 pm

Re: Logitech Media Server (LMS) on Amahi 10 / F25

Postby bigfoot65 » Mon Aug 07, 2017 5:23 am

Unfortunately installing CPAN brings in a bunch of other packages.

Not sure if this will remain a true one-click app. It may require some manual steps to get the CPAN module installed.

Still testing, so anything is possible.
ßîgƒσστ65
Applications Manager

Who is online

Users browsing this forum: No registered users and 1 guest